# OnFOSS LAN organization

An event will take span multiple hours depending on the schedule. The idea is to bring players together to play multiplayer open source games that may not be widely known.

There should be a schedule with what games are played at what time so that participants will have the time to install the games beforehand. There can also be time set aside for free play where everybody decides on the spot which game they'd like to play. It would be one of the games already installed on the server.

## Before event

An event should ideally be announced well in advance (at least two weeks) so that people can keep their schedule clear. Optionally, times can be polled in the [main Matrix/XMPP channel](https://matrix.to/#/#xmpp_onfoss_conference.hribhrib.at:matrix.org).

The list of games to be played can be up to the host, but good ideas can be had by asking the community. That is the Matrix/XMPP channel again but also [FreeGameDev.net](http://FreeGameDev.net) is a good place.

Ideally, the event would have a webpage with the details about the event with most importantly, the means of communication during the event. Mumble is very good for this. A dedicated instance for this is available at <mumble://hribhrib.at>.

The website can be on the event server itself or hosted somewhere else. A ready-made page is available, see "Server preparation" below.

### Advertising

Once a time and list of games is set, advertise this in multiple places. Make sure the time is in UTC since people will join from many different time zones. Example of places to advertise:

* [Main matrix/XMPP channel](https://matrix.to/#/#xmpp_onfoss_conference.hribhrib.at:matrix.org)
* [Libre Gaming matrix channel](https://matrix.to/#/#libregaming-general:tchncs.de)
* [Opensourcegames subreddit](https://www.reddit.com/r/opensourcegames/)
* Mastodon with the #FOSS and #opensource tag

It is also very important to send a reminder the week and/or day before the event.

### Server preparation

A ready-made configuration script is available to build a server hosting various game servers. It sets up a website listing all of the games and also downloads, installs and configures the game servers. It was created for a freshly installed Debian 11 machine. The script can be downloaded here:

* <https://git.libregaming.org/DeathByDenim/gameserver>
* <https://github.com/DeathByDenim/gameserver>

Both repositories are in sync. It doesn't matter which one is used. Running the `deploy.sh` script installs the game servers as listed in the repository. Every server will have the same randomly generated admin password. Some servers can also be controlled from the Admin section of the website.

For running games that do not have a deploy script, create one and ideally submit it back to one of the repositories so that it can be reused for future events. You'll also need to create a help page for that game for the website so that participants can join easily.

## During the event

As the host, make sure you have joined the Mumble channel early and that the server is up and running. Make sure to also monitor the main Matrix/XMPP channel as people may appear there as well, especially if they have issues joining Mumble.

Try to stick to the schedule as people may skip games they do not enjoy.

New games can be a bit experimental and might not work. If that happens, simply pick a different another game or just the next one in the schedule.

This event can take several hours.

### Streaming

It's great if you can get someone to stream the event live. This is especially fun if part of the event is a tournament.

## After the event

Plan for the next one!